<template>
  <div class="row top-position justify-content-center">
    <div class="col-12 row scrollbar c-project-block" style="padding-left: 100px;padding-right: 100px;">
      <div
        class="col-md-3 col-sm-6 projectBlock-back"
        v-for="getSelftProject in getSelftProjects.self_project"
        v-bind:key="getSelftProject"
      >
        <div
          class="projectBlock-front"
          @click="viewProject(getSelftProject)"
        >
        <h5 class="t-color-red" style="text-align: center;">{{getSelftProject.projectTitle}}</h5>
        </div>
      </div>
    </div>
    <b-modal ref="modal-view" id="view-project" size="lg" hide-footer hide-header style="position: absolute;" v-slot:default="{ hide }">
      <h2 class="t-color-red" align="center">Manage Project</h2><hr><div class="space-1"/>
      <h4 class="t-color-red" align="center"> Management project {{getSelftProjectModal.projectTitle}}</h4><div class="space-1"/>
      <h6 class="t-color-soft-gray" align="center"> Please click button below.</h6>
      <hr>
      <button size="sm" class="btn btn-delete t-uppercase" @click="hide()">
        cancel
      </button>
      <router-link :to="'/project-view/' + getSelftProjectModal.id" size="sm" class="btn btn-delete t-uppercase f-right" @click="hide()">
        Start to manage
      </router-link>
    </b-modal>
  </div>
</template>
<script>
export default {
  mounted () {
    if (!this.$cookie.get('token')) {
      this.$router.push('/signin')
    }
    this.getEditProjectData()
  },
  methods: {
    getEditProjectData () {
      this.axios.get('/api/selfProjectList', {
      }).then(response => {
        this.getSelftProjects = response.data
        console.log(this.getSelftProjects)
      })
    },
    viewProject (info) {
      this.getSelftProjectModal = ''
      this.getSelftProjectModal = info
      this.$refs['modal-view'].show()
      console.log(this.getSelftProjectModal)
    }
  },
  data () {
    return {
      getSelftProjects: [],
      getSelftProject: {},
      getSelftProjectModal: {}
    }
  },
  computed: {}
}
</script>
